<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC "-//Hibernate/Hibernate Configuration DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">

<hibernate-configuration>
	<session-factory>
	<!-- Database connection settings -->
		<property name="connection.driver_class">org.gjt.mm.mysql.Driver</property>
		<property name="connection.url">jdbc:mysql://jaguar.cis.udel.edu:8099/deschere</property>
		<property name="connection.username">deschere</property>
		<property name="connection.password">q465hi</property>
		
	<!-- JDBC connection pool (use the built-in) --> 
		<property name="connection.pool_size">1</property> 
		
	<!-- SQL dialect -->
		<property name="dialect">org.hibernate.dialect.MySQLDialect</property>
		<property name="dialect">org.hibernate.dialect.MySQLInnoDBDialect</property>
		<property name="dialect">org.hibernate.dialect.MySQLMyISAMDialect</property>
		
	<!-- Enable Hibernate's automatic session context management -->
		<property name="current_session_context_class">thread</property>
		
	<!-- Disable the second-level cache -->
		<property name="cache.provider_class">org.hibernate.cache.NoCacheProvider</property>
		
	<!-- Echo all executed SQL to stdout -->
		<property name="show_sql">true</property>
		
	<!-- Drop and re-create the database schema on startup -->
		<property name="hbm2ddl.auto">update</property>
		<mapping resource="com/gmscheduler/model/Person.hbm.xml"/>
		<mapping resource="com/gmscheduler/model/Timeframe.hbm.xml"/>
		<mapping resource="com/gmscheduler/model/Schedule.hbm.xml"/>
		
	</session-factory>
</hibernate-configuration>